Important announcement | Conductr

Important Announcement!

News

Important Announcement!

Announcement for iOS5

In order to keep on developing the best app possible, all upcoming Conductr updates WILL NOT WORK on iOS 5. This means that if you are an iPad 1 owner, you won’t be able to update Conductr, although you can continue using its previous versions.
Of course, we will keep on giving support service to all iOS5 users in our forums and support contacts.
Thank you for your understanding.

Posted on

DOWNLOAD NOW CONDUCTR AND TRY IT!

Download now